﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartMultipleSeries
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<10; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Item " + i.ToString(),
                    Value1 = r.Next(10, 90),
                    Value2 = r.Next(10, 90),
                    Value3 = r.Next(10, 90)
                });
            }
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }
        public int Value3 { get; set; }
    }
}
